## digikam 4.2.0

=== debian/changelog ===
digikam (4:4.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Add build-dep on libkqoauth-dev.  Kipi-plugins cmake requires it.
  * Fix FTBFS with opencv .4.9: debian/patches/upstream_bug338037.diff
    See KDE bug 338037.
  * debian/control: digikam-doc: add khelpcenter from KF5 as alternative
    to khelpcenter4.

 -- Achim Bohnet <ach@mpe.mpg.de>  Mon, 11 Aug 2014 22:51:58 +0200
