## digikam 4.4.0

=== debian/changelog ===
digikam (4:4.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add versioned Breaks/Replaces on digikam-doc, that fixes the Squeeze to
    Wheezy upgrade. (Closes: #767570)

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Sat, 15 Nov 2014 12:15:00 +0000

digikam (4:4.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #764920)
  * Drop upstream_Restore-the-lowercase-path-to-opencv-shared-data.patch,
    backported.
  * Backport upstream commit f6945f23e0ed1e11f26e2c7e62b02baa8cfa640e to fix
    build with libkexiv2 4.14.x; patch
    upstream_fix-libkexiv2-version-for-AltLangStrEdit-textEdit.patch.

 -- Pino Toscano <pino@debian.org>  Tue, 14 Oct 2014 22:57:30 +0200

digikam (4:4.3.0-2) unstable; urgency=medium

  * Change section of digikam-private-libs from graphics to libs.
  * Remove the gallery suggest from kipi-plugins, since it does not exist in
    Debian nor seem used.
  * Backport upstream commit 4433a5ba8386641088fe0d606f8b18fd0e87e973 (from
    libkface) to fix the loading of OpenCV Haar Cascade XML files; patch
    upstream_Restore-the-lowercase-path-to-opencv-shared-data.patch.
    (Closes: #763089)
  * Remove Achim Bohnet from Uploaders, since he has not done any work on
    digikam in more than 6 years. Thanks for your past work!
  * Add myself to Uploaders.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Oct 2014 20:32:24 +0200

digikam (4:4.3.0-1) unstable; urgency=low

  * Team upload.

  [ Mark Purcell ]
  * New upstream release 4.2.0: (Closes: #761376)
    - fixes upload to Flick (Closes: #753777)

  [ Pino Toscano ]
  * New upstream release 4.3.0.
  * Update the build dependencies for the Nepomuk -> Baloo switch:
    - remove nepomuk-core-dev and shared-desktop-ontologies
    - add baloo-dev, and libkfilemetadata-dev because of #762240
  * Update install files.
  * Change section of most of the binaries from kde to graphics.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Sep 2014 18:26:53 +0200

digikam (4:4.1.0-1) unstable; urgency=low

  * New upstream release
  * Update Build-Depends: libopencv-dev (>= 2.4.9)
  * Update Vcs-Svn

 -- Mark Purcell <msp@debian.org>  Sat, 12 Jul 2014 13:58:12 +1000

digikam (4:4.0.0-1) unstable; urgency=low

  * New upstream release
    - Fixes "[transition blocker] Digikam FTBFS with" (Closes: #746228)
    - Fixes "facebook plugin: caption" (Closes: #564574)
  * Refresh debian/patches/
  * Drop doc-translations-installation.diff - incorporated upstream
  * Support kde/4.12 transition Build-Depends: libkdcraw-dev (>= 4:4.12)
  * debian/control Section: kde - fix override disparities

 -- Mark Purcell <msp@debian.org>  Wed, 14 May 2014 19:20:17 +1000
