=== debian/rules ===
#!/usr/bin/make -f

USE_PRIVATE_KDEGRAPHICS := n
PRIVATE_LIBDIR := /usr/lib/digikam
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

ifeq ($(USE_PRIVATE_KDEGRAPHICS),y)
  # Force to use local libkipi, libkexiv2, and libkdcraw implementation
  EXTRA_CMAKE_ARGS += -DDIGIKAMSC_USE_PRIVATE_KDEGRAPHICS=ON
  CONFLICTS_SUBSTVAR := libkipi-data, libkexiv2-data, libkdcraw-data, libksane-data
else
  EXTRA_CMAKE_ARGS += -DDIGIKAMSC_USE_PRIVATE_KDEGRAPHICS=OFF
endif

%:
	dh $@ --with kde --parallel 

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- \
	  -DCMAKE_INSTALL_RPATH="$(PRIVATE_LIBDIR)" \
	  -DDIGIKAMSC_COMPILE_DOC=on \
	  -DDIGIKAMSC_COMPILE_PO=on \
	  -DENABLE_LCMS2=ON \
	  -DKDE4_BUILD_TESTS=OFF \
	  $(EXTRA_CMAKE_ARGS)

override_dh_auto_install:
	dh_auto_install
	# remove development stuff: headers, cmake config files, pkg-config files, .so symlinks, static libs
	rm -r --verbose debian/tmp/usr/include
	rm -r --verbose debian/tmp/usr/share/kde4/apps/cmake
	rm -r --verbose debian/tmp/usr/lib/cmake
	rm -r --verbose debian/tmp/usr/lib/pkgconfig
	find debian/tmp/usr/lib -type l -name '*.so' -exec rm --verbose {} \;
	# remove potentially conflicting oxygen icons in global icon theme
	rm -r --verbose debian/tmp/usr/share/icons/oxygen
	# remove libkipi translations, provided by kde-l10n-*
	rm -r --verbose debian/tmp/usr/share/locale/*/LC_MESSAGES/libkipi.mo
	# remove haar cascades, the versions in opencv-data will be used instead
	rm -r --verbose debian/tmp/usr/share/kde4/apps/libkface/haarcascades

override_dh_installchangelogs:
	dh_installchangelogs -pdigikam core/ChangeLog
	dh_installchangelogs -pkipi-plugins extra/kipi-plugins/ChangeLog
	dh_installchangelogs --remaining-packages

override_dh_install:
	dh_install --fail-missing
	# remove duplicate libkipiplugins copied also in digikam-private-libs
	rm --verbose debian/digikam-private-libs/$(PRIVATE_LIBDIR)/libkipiplugins.so.*

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/digikam-private-libs/$(PRIVATE_LIBDIR):$(CURDIR)/debian/kipi-plugins/$(PRIVATE_LIBDIR)

override_dh_gencontrol:
	dh_gencontrol -- -Vdigikam:Conflicts='$(CONFLICTS_SUBSTVAR)'

#override_dh_strip:
#	dh_strip -a --dbg-package=digikam-dbg

# auto tests require user interaction - override
override_dh_auto_test:
