=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/  \
 http://download.kde.org/stable/digikam/digikam-(.*).tar.bz2 debian svn-upgrade

opts=uversionmangle=s/-/~/  \
 http://download.kde.org/unstable/digikam/digikam-(.*).tar.bz2 debian svn-upgrade
