## digikam 4.7.0

=== debian/changelog ===
digikam (4:4.7.0-0ubuntu4) vivid; urgency=medium

  * Add missing libkgeomap2.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Apr 2015 12:21:01 +0200

digikam (4:4.7.0-0ubuntu3) vivid; urgency=medium

  * Build-dep on mysql-server-core-5.6 not 5.5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Apr 2015 01:14:40 +0200

digikam (4:4.7.0-0ubuntu2) vivid; urgency=medium

  * From Debian: Do not pass -Xusr/lib/kde4/ to dh_shlibdeps, as this
    skips the dependency calculation of plugins. (Closes: #721107)
    LP: #1372920

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2015 15:31:02 +0200

digikam (4:4.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * in debian/rules set -DDIGIKAMSC_COMPILE_LIBKGEOMAP=ON
  * in debian/rules set -DDIGIKAMSC_COMPILE_LIBMEDIAWIKI=ON
  * in debian/rules set -DDIGIKAMSC_COMPILE_LIBKVKONTAKT=ON
  * Remove kubuntu_mysqld_executable_name.diff, mysqld support is off
    upstream by default so it's not used
  * Remove upstream_bug338037.diff now upstream
  * Add build-dep on libkface-dev, baloo-dev, libkfilemetadata-dev
  * Remove libmediawiki-dev, libkgeowidget-dev and libkvkontakte-dev packages,
    files no longer installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Feb 2015 12:10:45 +0100

digikam (4:4.2.0-0ubuntu2) vivid; urgency=medium

  * No change rebuild for libmarblewidget20 transition

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 16 Jan 2015 14:06:48 +0100
